%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-mahjongg
Version:	3.38.3
Release:	%mkrel 1
Summary:	GNOME Mahjongg game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Mahjongg
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	vala
Obsoletes:	gnome-mahjongg-extra-data
# For help
Requires:	yelp

%description
Mahjongg is a simple pattern recognition game. You score points by
matching identical tiles.

%prep
%setup -q

%build
%meson -Dcompile-schemas=disabled \
       -Dupdate-icon-cache=disabled
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Mahjongg.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mahjongg.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.gnome.Mahjongg.*
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Mahjongg-symbolic.svg
%{_datadir}/metainfo/org.gnome.Mahjongg.appdata.xml
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Nov 08 2020 ovitters <ovitters> 3.38.3-1.mga8
+ Revision: 1643567
- new version 3.38.3

* Sat Oct 03 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1632060
- new version 3.38.2

* Sat Sep 19 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1628684
- new version 3.38.1

* Fri Sep 18 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1628627
- new version 3.38.0

* Thu Jun 11 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1592423
- new version 3.37.1

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571778
- new version 3.36.2

* Sat Mar 07 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1554543
- new version 3.36.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554266
- new version 3.36.0

* Mon Mar 02 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1553075
- new version 3.35.92

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1533967
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1446019
- new version 3.34.0

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427835
- fix filelist
+ ovitters <ovitters>
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392403
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373871
- new version 3.32.0

* Fri Mar 08 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372718
- new version 3.31.92

* Sun Sep 23 2018 umeabot <umeabot> 3.22.0-3.mga7
+ Revision: 1297963
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 tv <tv> 3.22.0-2.mga7
+ Revision: 1233434
- use new macros
+ ovitters <ovitters>
- change find_lang --with-help into --with-gnome (thus fix building)

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055013
- new version 3.22.0

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993736
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990733
- new version 3.19.92

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961593
- new version 3.19.90

* Thu Feb 11 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 954085
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883183
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879369
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871677
- new version 3.17.91

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838612
- new version 3.16.1

* Tue Feb 17 2015 wally <wally> 3.14.1-3.mga5
+ Revision: 815339
- require yelp for showing help

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 739913
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738334
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719239
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679732
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676933
- new version 3.13.92

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670829
- new version 3.13.91

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665295
- new version 3.13.90

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655348
- new version 3.13.4

* Mon Jun 23 2014 ovitters <ovitters> 3.13.1-3.mga5
+ Revision: 638832
- update url

* Sun Jun 15 2014 ovitters <ovitters> 3.13.1-2.mga5
+ Revision: 636447
- obsolete gnome-mahjongg-extra-data

* Thu May 29 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627594
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622277
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614225
- new version 3.12.1

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606986
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604632
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599034
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593896
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 582994
- new version 3.11.5

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550451
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542433
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497548
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484360
- new version 3.10.0

* Tue Sep 17 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 480589
- new version 3.9.92

* Tue Aug 27 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 472181
- fix build by fixing bad dekstop file
+ fwang <fwang>
- new version 3.9.90
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.0-2.mga4
+ Revision: 440808
- Obsoletes 'gnome-games-extra-data'

* Sun Jun 09 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 440764
- add 'libxml2-utils' as BR
- imported package gnome-mahjongg

